<?php
require_once(Director::baseFolder().'/event_calendar/code/sfTime.class.php');
require_once(Director::baseFolder().'/event_calendar/code/sfDate.class.php');
require_once(Director::baseFolder().'/event_calendar/code/sfDateTimeToolkit.class.php');
require_once(Director::baseFolder().'/event_calendar/code/CalendarUI.class.php');


DataObject::add_extension('LeftAndMain', 'CalendarScriptInit');
Calendar::set_param('language','DE');
Calendar::set_param('timezone', 'US-Eastern');


CalendarDateTime::set_param('offset','+01:00');

CalendarDateTime::set_date_format('dmy');

// Override to specify custom date templates. Falls back on lang file.

/**
 * Available date format keys
 
 	** Start Date **
	%{sWeekDayShort}    e.g. Mon
	%{sWeekDayFull}     e.g. Monday
	%{sDayNumFull}      e.g. 09
	%{sDayNumShort}		e.g. 9
	%{sDaySuffix}		e.g. th, rd, st
	%{sMonNumShort}		e.g. 8
	%{sMonNumFull}		e.g. 08
	%{sMonShort}		e.g. Oct
	%{sMonFull}			e.g. October
	%{sYearShort}		e.g. 09
	%{sYearFull}		e.g. 2009
	
	** End Date **
	%{eWeekDayShort}
	%{eWeekDayFull}
	%{eDayNumFull}
	%{eDayNumShort}
	%{eDaySuffix}
	%{eMonNumShort}
	%{eMonNumFull}
	%{eMonShort}
	%{eMonFull}
	%{eYearShort}
	%{eYearFull}

*/ 
global $customDateTemplates;
$customDateTemplates = array(

 /*You can modify the date display by assigning new date templates to any of the following
   date scenarios. Use the above date format keys.*/
   
'OneDay' 						=> '%{sDayNumShort}.%{sMonNumShort}.%{sYearFull}',
'SameMonthSameYear' => '%{sDayNumShort}.%{sMonNumShort} - %{eDayNumShort}.%{eMonNumShort}, %{eYearFull}',
'DiffMonthSameYear' => '%{sDayNumShort}.%{sMonNumShort} - %{eDayNumShort}.%{eMonNumShort}, %{eYearFull}',
'DiffMonthDiffYear' => '%{sDayNumShort}.%{sMonNumShort}, %{sYearFull} - %{eDayNumShort}.%{eMonNumShort}, %{eYearFull}',

'OneDayHeader' 			=> '%{sDayNumShort}.%{sMonNumShort}.%{sYearFull}',
'MonthHeader' 			=> '%{sMonNumShort}.%{sYearFull}',
'YearHeader' 				=> '%{sYearFull}'


);


?>