<?php

class CalendarWidget extends ViewableData
{
	function __construct($controller, sfDate $start_date = null, $end_date = null, $default_view = false)
	{
		if($start_date === null) $start_date = new sfDate();
		if($end_date === null || !$end_date instanceof sfDate)
			$end_date = $start_date;
			
		$range_start = $default_view ? "null" : "'".$start_date->format('Y-m-d')."'";
		$range_end = $default_view ? "null" : "'".$end_date->format('Y-m-d')."'";
		$month_view = "'".($start_date->format('m')-1)."'";
		$year_view = "'".$start_date->format('Y')."'";
		
		Requirements::customScript("
			var controller_url_segment = '" . $controller->URLSegment . "'; 
			var current_url_segment = '" . Controller::curr()->URLSegment . "';
			var start_date = $range_start;	
			var end_date = $range_end; 
			var month_view = $month_view; 
			var year_view = $year_view;
		");
		
		
	 }
	 
	 public function forTemplate()
	 {
	 	return $this->renderWith('CalendarWidget');
	 }
}

class MonthNavigator extends ViewableData
{
	public function __construct($controller, sfDate $start_date)
	{
	 	Requirements::customScript("
			var controller_url_segment = '" . $controller->URLSegment . "'; 
			var current_url_segment = '" . Controller::curr()->URLSegment . "';
		");

		$start = new sfDate($start_date->firstDayOfMonth()->dump());
		$end = new sfDate($start_date->firstDayOfMonth()->dump());

		$start->subtractMonth(6);
		$end->addMonth(6);

		$map = array();
		while($start->get() < $end->get()) {
			$map[$start->format('Y-m')] = strftime("%B %Y",$start->get());
			$start->addMonth();
		}
		unset($start, $end);

		$this->Dropdown = new DropdownField('MonthNavigator',null,$map, $start_date->reset()->format('Y-m'));
	}
	
	public function forTemplate()
	{
		return $this->renderWith('MonthNavigator');
	}

}


?>